aboutsummaryrefslogtreecommitdiffstats
path: root/testing/apache2-mod-perl/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/apache2-mod-perl/APKBUILD')
-rw-r--r--testing/apache2-mod-perl/APKBUILD15
1 files changed, 13 insertions, 2 deletions
diff --git a/testing/apache2-mod-perl/APKBUILD b/testing/apache2-mod-perl/APKBUILD
index 40d3a54380..badafd0efd 100644
--- a/testing/apache2-mod-perl/APKBUILD
+++ b/testing/apache2-mod-perl/APKBUILD
@@ -3,7 +3,7 @@
pkgname=apache2-mod-perl
_realname=mod_perl
pkgver=2.0.5
-pkgrel=1
+pkgrel=2
pkgdesc="Perl Module for Apache2"
url="http://perl.apache.org/"
arch="all"
@@ -15,9 +15,19 @@ install="$pkgname.post-install"
subpackages="$pkgname-doc $pkgname-dev"
source="http://search.cpan.org/CPAN/authors/id/P/PH/PHRED/${_realname}-${pkgver}.tar.gz
$pkgname.apache2.conf
+ mod_perl-2.0.5-nolfs.patch
"
_builddir="$srcdir"/${_realname}-${pkgver}
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor \
@@ -55,4 +65,5 @@ doc() {
}
md5sums="03d01d135a122bd8cebd0cd5b185d674 mod_perl-2.0.5.tar.gz
-86b84bb56b49a95772a7f773fc019043 apache2-mod-perl.apache2.conf"
+86b84bb56b49a95772a7f773fc019043 apache2-mod-perl.apache2.conf
+088e082afef57f92f234a01269e24ce5 mod_perl-2.0.5-nolfs.patch"